package com.kingdee.eas.custom.esign.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.esign.task.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class TaskOSFSericeFacade extends AbstractBizCtrl implements ITaskOSFSericeFacade
{
    public TaskOSFSericeFacade()
    {
        super();
        registerInterface(ITaskOSFSericeFacade.class, this);
    }
    public TaskOSFSericeFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ITaskOSFSericeFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("6D4AC33D");
    }
    private TaskOSFSericeFacadeController getController() throws BOSException
    {
        return (TaskOSFSericeFacadeController)getBizController();
    }
    /**
     *执行osf-User defined method
     *@param serviceName 服务名称
     *@param param 参数
     *@return
     */
    public String executeOsf(String serviceName, String param) throws BOSException
    {
        try {
            return getController().executeOsf(getContext(), serviceName, param);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}